
-- user-settings
INSERT INTO USER_SETTING_DEF (SETTING_KEY, SETTING_VALUE, LABEL, SERVICE_NAME, DISPLAY_TYPE, SIZE, ENABLED, EDITABLE, VISIBLE, ORDER_NO) VALUES
    ( 'cluster.name', 'CM_CLUSTER_NAME', 'Cluster name', '', 'text', 200, true, false, true, 1 ),
    ( 'cluster.displayname', 'Cluster 1', 'Cluster display name', '', 'text', 200, true, true, true, 2 ),
    ( 'ambari.cluster.name', 'cl1' , 'Ambari cluster name', '', 'text', 200, true, false, false, 3),
    ( 'cluster.version', '7.1.7', 'Target version', '', 'combo', 200, true, true, true, 4 ),
    ( 'cluster.fullversion', '7.1.7-1.cdh7.1.7.p78.21656418', 'Target full version', '', 'edit-text', 230, true, true, true, 5),
    ( 'cluster.originating_source', 'AM2CM version 2.1', 'Originating Source', '', 'text', 200, true, false, true, 6 ),
    ( 'cm.rolegroups.enable', 'false', '', '', 'text', 200, false, false, false, 7 ),
--  Hive
    ( 'SERVICE_HIVE_hive_jdbc_url_override', 'JDBC_URL', 'Hive Jdbc url', 'HIVE', 'text', 410, true, true, true, 8 ),
    ( 'SERVICE_HIVE_hive_metastore_database_password', null, 'Hive db password', 'HIVE', 'password', 200, true, true, true, 9 ),
--  Oozie
    ( 'SERVICE_OOZIE_oozie_service_JPAService_jdbc_url', 'JDBC_URL', 'Oozie Jdbc url', 'OOZIE', 'text', 410, true, true, true, 10 ),
    ( 'SERVICE_OOZIE_oozie_database_password', null, 'Oozie db password', 'OOZIE', 'password', 200, true, true, true, 11 ),
--  Ranger
    ( 'SERVICE_RANGER_dba_password', null, 'Ranger DBA user password', 'RANGER', 'password', 200, false, false, false, 12 ),
    ( 'SERVICE_RANGER_ranger_database_password', null, 'Ranger db password', 'RANGER', 'password', 200, true, true, true, 13 ),
    ( 'SERVICE_RANGER_rangeradmin_user_password', null, 'RangerAdmin password', 'RANGER', 'password', 200, true, true, true, 14 ),
    ( 'SERVICE_RANGER_rangerusersync_user_password', null, 'RangerUserSync password', 'RANGER', 'password', 200, true, true, true, 15 ),
    ( 'SERVICE_RANGER_rangertagsync_user_password', null, 'RangerTagSync password', 'RANGER', 'password', 200, true, true, true, 16 ),
    ( 'SERVICE_RANGER_rangerkeyadmin_user_password', null, 'RangerKeyAdmin password', 'RANGER', 'password', 200, true, true, true, 17 ),
--  Ranger KMS
    ( 'SERVICE_RANGER_KMS_dba_password', null, 'Ranger KMS DBA user password', 'RANGER_KMS', 'password', 200, false, false, false, 18 ),
    ( 'SERVICE_RANGER_KMS_ranger_kms_database_password', null, 'RangerKMS db password', 'RANGER_KMS', 'password', 200, true, true, true, 19 ),
    ( 'SERVICE_RANGER_KMS_ranger_kms_master_key_password', null, 'RangerKMS master key password', 'RANGER_KMS', 'password', 200, true, true, true, 20 ),
--  Knox
    ( 'SERVICE_KNOX_gateway_master_secret', null, 'Knox gateway master secret', 'KNOX', 'password', 200, true, true, true, 21 ),
--  Kerberos
    ( 'kerberos_admin_user', 'admin', 'Kerberos admin user', 'KERBEROS', 'text', 200, true, true, true, 22 ),
    ( 'kerberos_admin_password', null, 'Kerberos admin password', 'KERBEROS', 'password', 200, true, true, true, 23 )
    ON CONFLICT (SETTING_KEY) DO UPDATE
                            SET SETTING_VALUE = EXCLUDED.SETTING_VALUE,
                                LABEL = EXCLUDED.LABEL,
                                SERVICE_NAME = EXCLUDED.SERVICE_NAME,
                                DISPLAY_TYPE = EXCLUDED.DISPLAY_TYPE,
                                SIZE = EXCLUDED.SIZE,
                                ENABLED = EXCLUDED.ENABLED,
                                EDITABLE = EXCLUDED.EDITABLE,
                                VISIBLE = EXCLUDED.VISIBLE,
                                ORDER_NO = EXCLUDED.ORDER_NO
    ;

INSERT INTO TRANSITION_TYPE(ID, NAME, BG_COLOR, FONT_COLOR, DESCRIPTION) VALUES
    ('INPLACE_TWO_STAGE_UPGRADE', 'Inplace Two Stage Upgrade', 'orange', 'black', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis lorem nisl, efficitur vitae fringilla id, scelerisque in velit. Pellentesque urna libero, porttitor a quam vulputate, egestas placerat nulla. Cras quis mauris in neque maximus pharetra a eu turpis. Etiam vitae eros commodo nibh convallis pharetra. Aenean laoreet nulla at magna efficitur luctus. Aenean nec ultricies nunc. Morbi finibus eros sit amet tellus faucibus, eget aliquam sapien facilisis. Praesent aliquam quis magna quis vehicula. Curabitur vel dapibus ligula, vel interdum enim. Donec et neque efficitur, tempor quam at, consequat mi. Morbi libero quam, pellentesque ut magna sit amet, lacinia lobortis ex.'),
    ('SAAS_MIGRATION', 'SaaS migration', 'purple', 'white', 'the description of the SaaS migration \n Nam et scelerisque tortor. In diam eros, porttitor pharetra gravida non, suscipit ut ante. Praesent sed nisi euismod, ultrices neque vel, tincidunt quam. Nam fringilla, magna vel maximus euismod, magna dolor rutrum erat, ut gravida felis magna quis neque. Nulla ut molestie ligula. Quisque sem arcu, maximus ut justo sed, sollicitudin ultricies ipsum. Nulla ut tincidunt nunc. Etiam id imperdiet magna. Sed egestas erat ultrices, laoreet arcu quis, ultrices tortor. Integer consectetur placerat sem vitae pulvinar. Aenean cursus mi nec gravida mattis. Aenean ultrices eu nibh nec ultrices. Morbi id euismod diam.')
    ON CONFLICT (ID) DO UPDATE
                    SET NAME = EXCLUDED.NAME,
                            BG_COLOR = EXCLUDED.BG_COLOR,
                            FONT_COLOR = EXCLUDED.FONT_COLOR,
                            DESCRIPTION = EXCLUDED.DESCRIPTION
;